<?php
/**
 * Created by PhpStorm.
 * User: Nikola
 * Date: 3/7/2015
 * Time: 5:27 PM
 */

$opcije = Tippromene::model()->active()->findAllByAttributes(array('ulaz_izlaz'=>$tip));

foreach($opcije as $tippromene){
    $uniq = uniqid();

    $selected = "";
    if (isset($odabrano)) {

        if($tippromene->id == $odabrano)
        $selected = "btn-primary";
    }
    echo CHtml::ajaxButton(Yii::t('translation', $tippromene->naziv),
        CController::createUrl('opcija',array('id'=>$tippromene->id)), //uniqid()
        array(
            'type' => 'POST',
            //'dataType' => 'json',
            // 'data' => "$(this).closest('fieldset').serialize()",
            'enableAjaxValidation' => false,
           // 'update' => '#info-opcija',
            'success'=>'function(data){
                $("#Blagajna_tip_promene").val("'.$tippromene->id.'");
                 $("#info-opcija").html(data);
                 $("#opcije input").removeClass("btn-primary");
                  $("#opcija'.$uniq.'").addClass("btn-primary");

              }',
        ),
        array('id' => "opcija".$uniq, 'title' => Yii::t('translation', $tippromene->naziv), 'class' => 'btn btn-large '.$selected) // jedinstveni id za ajax da se ne bi duplirali
    );


//    Yii::app()->clientScript->registerScript('skripta'.$tippromene->id, "
//								$('#opcija".$tippromene->id ."').click(function(){
//									$('#Blagajna_tip_promene').val('".$tippromene->id."');
//									return false;
//								});
//								");




}
?>
